KernelSU:兼容旧版本内核

admin 2023年1月23日21:56:54安全闲碎评论32 views446字阅读1分29秒阅读模式

前段时间我发布了 KernelSU,当时这个方案是为 GKI 而设计的;不过一直以来,有很多小伙伴想知道非 GKI 的设备能不能用上 KernelSU,答案自然是肯定的;但是,由于 Android 内核的碎片化,非 GKI 的设备之间内核并不通用,因此如果你想在非 GKI 的内核上使用 KernelSU,你必须自己手动从源码编译内核

当前 KernelSU 最低兼容的内核版本是 4.14,理论上可以支持更低的内核版本;不过因为我手头没有测试机,所以没有做更多的尝试;现在主要是把宝贵的精力花在完善 KernelSU 本身的功能,比如 SELinux 和模块支持上。

可能有童鞋对如何编译内核,以及如何 backport KernelSU 到旧版本内核上感兴趣,我前段时间直播的时候专门讲过这个问题了;不过因为一直有人问,我单独把这两个视频发出来。

上集:主要讲如何兼容的思路

下集:主要讲 SELinux 的解决方案以及代码修改

最后,提前给大家拜个年,祝大家新的一年前兔似锦!

原文始发于微信公众号(虚拟框架):KernelSU:兼容旧版本内核

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2023年1月23日21:56:54
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  KernelSU:兼容旧版本内核 https://cn-sec.com/archives/1523815.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: